BCRELAY(8)

NAME
bcrelay - a broadcast relay daemon

SYNOPSIS
bcrelay [OPTION]...

DESCRIPTION
bcrelay simply plays as a broadcast repeater. When bcrelay receives packets from the incomming interface, it will then relay them to the outgoing interface.

OPTIONS

-d,--daemon
    Run bcrelay as a daemon.

-h,--help
    Show help message.

-i,--incoming interface-in
    Defines from which interface broadcasts will be read.

-s,--outgoing interface-out
    Defines to which interface broadcasts will be relayed.

-n,--nolog
    Disable any logging and tracing to /var/log/messages except fatal error messages.

-s,--ipsec argument
    Defines an ipsec tunnel to be relayed to. Since ipsec tunnels terminate on the same interface, we need to define the broadcast address of the other end-point of the tunnel. This is done as ipsec0:x.x.x.255.

-v,--version
    Show the version of bcrelay.

Log messages and debugging information go to syslog as daemon.

Interfaces can be specified as regexpressions, ie. ppp[0-9]+.

AUTHORS

Original bcrelay program was written by Luc Richards <TheyCallMeLuc@yahoo.com.au>.

Bcrelay was modified for poptop by Richard de Vroede <r.devroede@linvision.com> and rewritten by Norbert van Bolhuis <norbert@vanbolhuis.demon.nl> for version (v1.0+) of bcrelay.

This manual page was written by Nguyen Vinh for Debian GNU/Linux System (but may be used for others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License Version 2, and any later versions published by Free Software Foundation. There is no WARRANTY, to the extent permitted by the law.

SEE ALSO
For more detailed information about bcrelay, please read README.